<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from s_m_bigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="s_m_bigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>s_m_bigint</refname>
    <refpurpose>overloading  compatibility for binary operators * (product) with double/bigint</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   z=x*y
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>y,z:</term>
      <listitem><para> bigint</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> double(scalar)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
double/bigint product
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

x=12345678
y=bigint('98765432')
x*y               //  scalar/bigint product
12345678*98765432 // double product
(x*ones(2,2))*y   // matrix case

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="bigint_m_bigint">bigint_m_bigint</link></member>
   <member><link linkend="mbigint_m_bigint">mbigint_m_bigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
